Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.reporting.plugins
[Java] Class BuildDashboardPlugin

    java.lang.Object
      org.gradle.api.reporting.plugins.BuildDashboardPlugin

All Implemented Interfaces:
  Plugin

    @Incubating
    public class BuildDashboardPlugin

Adds a task, "buildDashboard", that aggregates the output of all tasks executed during the build that produce reports.

Field Summary
`static String` | `BUILD_DASHBOARD_TASK_NAME`

Method Summary
`void` | `apply(ProjectInternal project)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### BUILD_DASHBOARD_TASK_NAME

    public static final String BUILD_DASHBOARD_TASK_NAME

Method Detail

### apply

    public void apply(ProjectInternal project)

Gradle API 1.10